Subject: Re: FWD (rahul v): ospf router-id extended community

From: Peter Psenak <[email-masked]>
Date: Tue, 30 Sep 2003 17:03:01 +0200

Rahul,

>>
>>
>> "draft-ietf-l3vpn-ospf-2547-00.txt", specifies that MP-BGP creates 
>> VPN-IPV4 route for a route learnt from CE where PE-CE link uses OSPF.
>> VPN-IPV4 route attaches "OSPF router ID", "OSPF route type " and 
>> "OSPF domain ID" extended communities.This is to allow this route to 
>> be converted back into OSPF route transperantly.
>> Why does one need to attach "OSPF router id" ?Is this attribute  used 
>> by the remote PE? 
>

Router-ID extended community is optional. We use it to optimize the 
redistribution from BGP to OSPF when sham-links are in use.

thanks,
Peter

>>
>>  
>> thanks.
>> Rahul
>>  
>> ------------------------------------------------------------------------
>> Do you Yahoo!?
>> Yahoo! SiteBuilder 
>> <http://us.rd.yahoo.com/evt=10469/*http://sitebuilder.yahoo.com> - 
>> Free, easy-to-use web site design software 
>
>
>
>